libcairomm-1.0-dev_1.12.0-1_amd64.deb


Advertisement

Description

libcairomm-1.0-dev - C++ wrappers for Cairo (development files)

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package filename libcairomm-1.0-dev_1.12.0-1_amd64.deb
Package name libcairomm-1.0-dev
Package version 1.12.0
Package release 1
Package architecture amd64
Package type deb
Category libdevel
Homepage http://cairographics.org/cairomm/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 81.95 KB
Installed size 588.00 KB
cairomm provides C++ bindings for the Cairo graphics library,
a multi-platform library providing anti-aliased vector-based
rendering for multiple target backends.
This package contains the development libraries and header
files needed by C++ programs that want to compile with Cairo.
files and examples.

Alternatives

Package Version Architecture Repository
libcairomm-1.0-dev_1.12.0-1_i386.deb 1.12.0 i386 Ubuntu Main
libcairomm-1.0-dev - - -

Requires

Name Value
libcairo2-dev >= 1.10.0
libcairomm-1.0-1v5 = 1.12.0-1
libsigc++-2.0-dev >= 2.5.1

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libcairomm-1.0-dev_1.12.0-1_amd64.deb
Source Package cairomm

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libcairomm-1.0-dev deb package:
    # sudo apt-get install libcairomm-1.0-dev

Files

Path
/usr/include/cairomm-1.0/cairomm/cairomm.h
/usr/include/cairomm-1.0/cairomm/context.h
/usr/include/cairomm-1.0/cairomm/device.h
/usr/include/cairomm-1.0/cairomm/enums.h
/usr/include/cairomm-1.0/cairomm/exception.h
/usr/include/cairomm-1.0/cairomm/fontface.h
/usr/include/cairomm-1.0/cairomm/fontoptions.h
/usr/include/cairomm-1.0/cairomm/matrix.h
/usr/include/cairomm-1.0/cairomm/path.h
/usr/include/cairomm-1.0/cairomm/pattern.h
/usr/include/cairomm-1.0/cairomm/quartz_font.h
/usr/include/cairomm-1.0/cairomm/quartz_surface.h
/usr/include/cairomm-1.0/cairomm/refptr.h
/usr/include/cairomm-1.0/cairomm/region.h
/usr/include/cairomm-1.0/cairomm/scaledfont.h
/usr/include/cairomm-1.0/cairomm/script.h
/usr/include/cairomm-1.0/cairomm/script_surface.h
/usr/include/cairomm-1.0/cairomm/surface.h
/usr/include/cairomm-1.0/cairomm/types.h
/usr/include/cairomm-1.0/cairomm/win32_font.h
/usr/include/cairomm-1.0/cairomm/win32_surface.h
/usr/include/cairomm-1.0/cairomm/xlib_surface.h
/usr/lib/x86_64-linux-gnu/libcairomm-1.0.a
/usr/lib/x86_64-linux-gnu/libcairomm-1.0.so
/usr/lib/x86_64-linux-gnu/cairomm-1.0/include/cairommconfig.h
/usr/lib/x86_64-linux-gnu/pkgconfig/cairomm-1.0.pc
/usr/lib/x86_64-linux-gnu/pkgconfig/cairomm-ft-1.0.pc
/usr/lib/x86_64-linux-gnu/pkgconfig/cairomm-pdf-1.0.pc
/usr/lib/x86_64-linux-gnu/pkgconfig/cairomm-png-1.0.pc
/usr/lib/x86_64-linux-gnu/pkgconfig/cairomm-ps-1.0.pc
/usr/lib/x86_64-linux-gnu/pkgconfig/cairomm-svg-1.0.pc
/usr/lib/x86_64-linux-gnu/pkgconfig/cairomm-xlib-1.0.pc
/usr/lib/x86_64-linux-gnu/pkgconfig/cairomm-xlib-xrender-1.0.pc
/usr/share/doc/libcairomm-1.0-dev/AUTHORS
/usr/share/doc/libcairomm-1.0-dev/NEWS.gz
/usr/share/doc/libcairomm-1.0-dev/README
/usr/share/doc/libcairomm-1.0-dev/changelog.Debian.gz
/usr/share/doc/libcairomm-1.0-dev/copyright
/usr/share/doc/libcairomm-1.0-dev/examples/README
/usr/share/doc/libcairomm-1.0-dev/examples/surfaces/image-surface.cc
/usr/share/doc/libcairomm-1.0-dev/examples/surfaces/pdf-surface.cc
/usr/share/doc/libcairomm-1.0-dev/examples/surfaces/ps-surface.cc
/usr/share/doc/libcairomm-1.0-dev/examples/surfaces/svg-surface.cc
/usr/share/doc/libcairomm-1.0-dev/examples/text/text-rotate.cc
/usr/share/doc/libcairomm-1.0-dev/examples/text/toy-text.cc
/usr/share/doc/libcairomm-1.0-dev/examples/text/user-font.cc.gz

Changelog

2015-10-08 - Michael Biebl <biebl@debian.org>
cairomm (1.12.0-1) unstable; urgency=medium
* New upstream release.
* Wrap dependencies.
* Drop obsolete Replaces from pre-wheezy.
* Set pkg-gnome-maintainers@lists.alioth.debian.org as Maintainer, add Dave
Beckett and myself as Uploaders.
* Move the package to collab-maint on Alioth, use Git/git-buildpackage for
maintaining the package.
* Bump debhelper compatibility level to 9.
* Bump Build-Depends on libsigc++-2.0-dev (>= 2.5.1) as per configure.ac.
* Bump shlibs version to 1.12.0.
* Install example files via debian/libcairomm-1.0-dev.examples.
* Strip debian/tmp/ from .install files.
* Drop libtool .la files.
* Convert to multiarch.
* Bump Standards-Version to 3.9.6.
2015-08-14 - Simon McVittie <smcv@debian.org>
cairomm (1.10.0-1.2) unstable; urgency=medium
* Non-maintainer upload.
* Rename library for g++-5 transition. Starts transition: #790990
2014-08-28 - Andreas Barth <aba@ayous.org>
cairomm (1.10.0-1.1) unstable; urgency=low
* Non-maintainer upload.
* Update config.* by autoreconf (+ mm-common) to fix the FTBFS on 
ppc64el. Closes: #751113
2011-05-23 - Dave Beckett <dajobe@debian.org>
cairomm (1.10.0-1) unstable; urgency=low
* New upstream release (Closes: #625523)
* debian/rules:
- Remove simplepatchsys.mk
- Use clean-la.mk from gnome-pkg-tools
* debian/control:
- standards version 3.9.2
- Add gnome-pkg-tools
* debian/source/format: 3.0 (quilt)
* Applied many build patches from Daniel Elster in bug 579261 - Thanks!
(Closes: #579261)
* debian/control:
- Drop build dependencies on doxygen and graphviz, since upstream now
ships the generated documentation
* debian/libcairomm-1.0-doc.install:
- Add the Devhelp book to the package
* debian/libcairomm-1.0-doc.links:
- Adjust the symlink for the upstream documentation directory, which has
has changed to /usr/share/doc/cairomm-1.0
* debian/rules:
- Remove the clean:: target, as it is no longer needed
- Add DEB_COMPRESS_EXCLUDE for .tag files since Doxygen cannot handle
compressed tag files
- Include clean-la.mk to purge dependency information from .la files
2010-05-05 - Dave Beckett <dajobe@debian.org>
cairomm (1.8.4-3) unstable; urgency=low
* debian/control: Add dependency for libcairomm-1.0-dev on
libsigc++-2.0-dev (Closes: #580431)
2010-04-30 - Dave Beckett <dajobe@debian.org>
cairomm (1.8.4-2) unstable; urgency=low
* Add cairommconfig.h to package (Closes: #579771, #579772)
2010-04-20 - Dave Beckett <dajobe@debian.org>
cairomm (1.8.4-1) unstable; urgency=low
* New upstream release
* Standards-Version: 3.8.4
* debian/source/format: Added with 3.0 (quilt) format
2009-04-02 - Dave Beckett <dajobe@debian.org>
cairomm (1.8.0-1) unstable; urgency=low
* New upstream release
* Standards-Version: 3.8.1
* Updated examples
* Build-Depend on graphviz so that docs get graphs when rebuilt
2008-09-13 - Dave Beckett <dajobe@debian.org>
cairomm (1.6.4-1) unstable; urgency=low
* New upstream release
* debian/libcairomm-1.0-doc.doc-base: Updated section (lintian)
2008-04-20 - Dave Beckett <dajobe@debian.org>
cairomm (1.6.0-1) unstable; urgency=low
* New upstream release

See Also

Package Description
libcairomm-1.0-doc_1.12.0-1_all.deb C++ wrappers for Cairo (documentation)
libcamd2.4.1_4.4.6-1_amd64.deb symmetric approximate minimum degree library for sparse matrices
libcamel-1.2-54_3.18.5-1ubuntu1_amd64.deb Evolution MIME message handling library
libcamel1.2-dev_3.18.5-1ubuntu1_amd64.deb Development files for libcamel
libcanberra-dev_0.30-2.1ubuntu1_amd64.deb simple abstract interface for playing event sounds
libcanberra-doc_0.30-2.1ubuntu1_all.deb simple abstract interface for playing event sounds - doc
libcanberra-gstreamer_0.30-2.1ubuntu1_amd64.deb GStreamer backend for libcanberra
libcanberra-gtk-common-dev_0.30-2.1ubuntu1_all.deb simple abstract interface for playing event sounds
libcanberra-gtk-dev_0.30-2.1ubuntu1_amd64.deb simple abstract interface for playing event sounds
libcanberra-gtk-module_0.30-2.1ubuntu1_amd64.deb translates GTK+ widgets signals to event sounds
libcanberra-gtk0_0.30-2.1ubuntu1_amd64.deb GTK+ helper for playing widget event sounds with libcanberra
libcanberra-gtk3-0_0.30-2.1ubuntu1_amd64.deb GTK+ 3.0 helper for playing widget event sounds with libcanberra
libcanberra-gtk3-dev_0.30-2.1ubuntu1_amd64.deb simple abstract interface for playing event sounds
libcanberra-gtk3-module_0.30-2.1ubuntu1_amd64.deb translates GTK3 widgets signals to event sounds
libcanberra-pulse_0.30-2.1ubuntu1_amd64.deb PulseAudio backend for libcanberra
Advertisement
Advertisement